WAKE_UP_PROCESS(9)

NAME
wake_up_process - Wake up a specific process

SYNOPSIS

int wake_up_process(struct task_struct * p);

ARGUMENTS

p
    The process to be woken up.

DESCRIPTION

Attempt to wake up the nominated process and move it to the set of runnable processes.

RETURN

1 if the process was woken up, 0 if it was already running.

It may be assumed that this function implies a write memory barrier before changing the task state if and only if any tasks are woken up.

COPYRIGHT